A abstract class that represents a message.

You will usually want to check if it's a instance of `ChannelMessage` or `PrivateMessage`.

### Hierarchy

- Message
  - ChannelMessage
  - PrivateMessage

## Index

### Constructors

- constructor

### Properties

- accountUser
- fromUser
- id
- msg
- t

### Methods

- isOwnMessage

## Constructors

### constructor

- new Message(accountUser: User, fromUser: string, msg: string, t: number, id: string): Message

- - Defined in lib/message.ts:28

  #### Parameters

  - ##### accountUser: User

  - ##### fromUser: string

  - ##### msg: string

  - ##### t: number

  - ##### id: string

  #### Returns Message

## Properties

### accountUser

accountUser: User

- Defined in lib/message.ts:28

The user account related to this message.

### fromUser

fromUser: string

- Defined in lib/message.ts:12

The user that send the message.

### id

id: string

- Defined in lib/message.ts:24

The id of the message.

### msg

msg: string

- Defined in lib/message.ts:16

The message.

### t

t: number

- Defined in lib/message.ts:20

Unix timestamp in seconds.

## Methods

### isOwnMessage

- isOwnMessage(): boolean

- - Defined in lib/message.ts:41

  Wether this message is sent by the account user.

  #### Returns boolean

Generated using TypeDoc